[med-svn] r22714 - in trunk/packages/rostlab/profphd/trunk/debian: . tests

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Wed Aug 24 13:39:05 UTC 2016


Author: latticetower-guest
Date: 2016-08-24 13:39:04 +0000 (Wed, 24 Aug 2016)
New Revision: 22714

Added:
   trunk/packages/rostlab/profphd/trunk/debian/tests/
   trunk/packages/rostlab/profphd/trunk/debian/tests/control
   trunk/packages/rostlab/profphd/trunk/debian/tests/installation-test
Modified:
   trunk/packages/rostlab/profphd/trunk/debian/changelog
Log:
add debian/tests (unfinished)

Modified: trunk/packages/rostlab/profphd/trunk/debian/changelog
===================================================================
--- trunk/packages/rostlab/profphd/trunk/debian/changelog	2016-08-24 13:37:16 UTC (rev 22713)
+++ trunk/packages/rostlab/profphd/trunk/debian/changelog	2016-08-24 13:39:04 UTC (rev 22714)
@@ -5,6 +5,7 @@
   * cme fix dpkg-copyright
   * add hardening in d/rules
   * add patches 1-4 to use latest perl 5.22 (UNFINISHED! checking if this works) 
+  * add debian/tests (unfinished too)
 
  -- Tatiana Malygina <merlettaia at gmail.com>  Fri, 08 Jul 2016 22:46:36 +0300
 

Added: trunk/packages/rostlab/profphd/trunk/debian/tests/control
===================================================================
--- trunk/packages/rostlab/profphd/trunk/debian/tests/control	                        (rev 0)
+++ trunk/packages/rostlab/profphd/trunk/debian/tests/control	2016-08-24 13:39:04 UTC (rev 22714)
@@ -0,0 +1,18 @@
+Tests: installation-test
+Depends: @, pp-popularity-contest
+
+Test-Command: perl /usr/share/profphd/prof/scr/test-install.pl do
+Depends: @, pp-popularity-contest
+
+Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps
+Depends: @, @builddeps@, pkg-perl-autopkgtest, pp-popularity-contest
+
+Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps
+Depends: @, pkg-perl-autopkgtest, pp-popularity-contest
+
+Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
+Depends: @, pkg-perl-autopkgtest, pp-popularity-contest
+Restrictions: needs-recommends
+
+Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps
+Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy, pp-popularity-contest

Added: trunk/packages/rostlab/profphd/trunk/debian/tests/installation-test
===================================================================
--- trunk/packages/rostlab/profphd/trunk/debian/tests/installation-test	                        (rev 0)
+++ trunk/packages/rostlab/profphd/trunk/debian/tests/installation-test	2016-08-24 13:39:04 UTC (rev 22714)
@@ -0,0 +1,31 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=profphd
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/${pkg}/prof/exa/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+# Prediction from alignment in HSSP file for best results
+prof 1ppt.hssp fileRdb=${ADTTMP}/1ppt_new.hssp.prof
+[ -z $(cmp -s 1ppt_new.hssp.prof 1ppt.hssp.prof) ]
+# Prediction from a single sequence
+prof 1ppt.f fileRdb=${ADTTMP}/1ppt_new.f.rdbProf
+[ -z $(cmp -s 1ppt_new.f.rdbProf 1ppt.f.rdbProf) ]
+# phd.pl invocation
+/usr/share/profphd/prof/embl/phd.pl 1ppt.hssp htm fileOutPhd=${ADTTMP}/query_new.phdPred  fileOutRdb=${ADTTMP}/query.phdRdb  fileNotHtm=${ADTTMP}/query.phdNotHtm
+[ -z $(cmp -s query_new.phdPred query.phdPred) ]




More information about the debian-med-commit mailing list